zabbix_export:
  version: '7.0'
  template_groups:
    - uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
  templates:
    - uuid: fc484769a0254053a6ce32fcf79e48e6
      template: 'Teste de Links - Speedtest'
      name: 'Teste de Links - Speedtest'
      description: 'Template voltado para realizar o monitoramento da largura de banda de links'
      groups:
        - name: Templates
      items:
        - uuid: d3d5a4b6336945ecb563e616f4f8906f
          name: Download
          type: DEPENDENT
          key: download.bytes.link
          delay: '0'
          history: 7d
          trends: 31d
          units: bps
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.download.bandwidth
          master_item:
            key: 'speedtest[{$IP_TESTE}]'
        - uuid: 137f38b1aa2a4bc8b5bf7ce788889e6d
          name: 'Perda de Pacotes'
          type: DEPENDENT
          key: packetLoss.link
          delay: '0'
          history: 7d
          value_type: FLOAT
          trends: 31d
          units: '%'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.packetLoss
          master_item:
            key: 'speedtest[{$IP_TESTE}]'
        - uuid: 0904fd425895410292d02b45408a441c
          name: 'Latência do Teste de Link'
          type: DEPENDENT
          key: ping.latency.link
          delay: '0'
          history: 7d
          value_type: FLOAT
          trends: 31d
          units: ms
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.ping.latency
          master_item:
            key: 'speedtest[{$IP_TESTE}]'
        - uuid: 41f026668f994aebb6c2ac2654d26b80
          name: 'Link do Teste'
          type: DEPENDENT
          key: result.url
          delay: '0'
          history: 7d
          value_type: TEXT
          trends: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.result.url
          master_item:
            key: 'speedtest[{$IP_TESTE}]'
        - uuid: f3c73e35d83c4df19aedf5469d74a086
          name: 'Servidor Testado'
          type: DEPENDENT
          key: server.name.teste
          delay: '0'
          history: 1d
          value_type: TEXT
          trends: '0'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.server.name
          master_item:
            key: 'speedtest[{$IP_TESTE}]'
        - uuid: c1ca18c8668a47a6a21cb90c72469fd2
          name: 'Coleta Geral de dados'
          key: 'speedtest[{$IP_TESTE}]'
          delay: 10h
          history: '0'
          value_type: TEXT
          trends: '0'
        - uuid: 19f3363658334b7badc64ac22bf8522a
          name: Upload
          type: DEPENDENT
          key: upload.bytes.link
          delay: '0'
          history: 7d
          trends: 31d
          units: bps
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.upload.bandwidth
          master_item:
            key: 'speedtest[{$IP_TESTE}]'
      macros:
        - macro: '{$IP_TESTE}'
          value: '{HOST.CONN}'
          description: 'Este é o IP que será utilizado para realizar o teste. Por padrão pega o IP da interface configurada no Zabbix'
